# Class TCefButtonDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFButtonDelegate

## Declaration

`type TCefButtonDelegateOwn = class(TCefViewDelegateOwn, ICefButtonDelegate)`

## Description

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_delegate_capi.h">CEF source file: /include/capi/views/cef_button_delegate_capi.h (cef_button_delegate_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefViewDelegateOwn
- TCefButtonDelegateOwn

## Overview

### Methods

| `procedure OnButtonPressed(const button: ICefButton); virtual;`
| `procedure OnButtonStateChanged(const button: ICefButton); virtual;`
| `procedure InitializeCEFMethods; override;`
| `constructor Create; override;`

## Description

### Methods

| `procedure OnButtonPressed(const button: ICefButton); virtual;`
Called when |button| is pressed.

| `procedure OnButtonStateChanged(const button: ICefButton); virtual;`
Called when the state of |button| changes.

| `procedure InitializeCEFMethods; override;`
Links the methods in the internal CEF record data pointer with the methods in this class.

| `constructor Create; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.